const express = require('express')
const { admission, allstudents, studentsquery, wherestudent, deleteadmission, updateadmission, countinfo, datasheet, upload } = require('../controller/student')

const router = express.Router()

// admission
router.route("/admission").post(upload.single("image"), admission);
// get admission
router.route('/allstudents').get(allstudents)
// get specify admission
router.route('/wherestudent').get(wherestudent)
// get admission with query. 
router.route('/querystudents').post(studentsquery)
// delete admission
router.route('/deleteadmission/:uid').delete(deleteadmission)
// update admisson
router.route('/updateadmission').post(upload.single("image"), updateadmission)
// datasheet
router.route('/countinfo').get(countinfo)
router.route('/datasheet').post(datasheet)



module.exports = router